package pro.litvinovg.libreoffice.metadata;

import java.util.Iterator;
import org.json.JSONException;
import org.json.JSONObject;

public class MetadataElementFactory {
	public static final String METADATA_START = "## Metadata Editor extension. Outline metadata in JSON folllows:";
	public static final String METADATA_PREFIX = "## ";
	public static final String METADATA_END = "## Outline metadata finished.";
	
	
	public static MetadataElement fromString(String cursorContent){
		String data = cursorContent.substring(METADATA_PREFIX.length());
		System.out.println("DATA " + data);
		//TODO: Switch to Jackson or GSON
		JSONObject json = new JSONObject(data);
		Iterator<String> iterator = json.keys();
		String name = iterator.next();
		String value = json.getString(name);
		return new MetadataElement(name, value);
	}
	
	public static String toString(MetadataElement element) {
		
    JSONObject json = new JSONObject();
    json.put(element.getName(), element.getValue());
		return METADATA_PREFIX + json.toString();
	}
	
	public boolean isJSONValid(String test) {
    try {
        new JSONObject(test);
    } catch (JSONException e) {
        return false;
    }
    return true;
}



}
